package com.bonus.material.lease.mapper;

import java.util.List;
import com.bonus.material.lease.domain.LeaseApplyInfo;

/**
 * 领料任务Mapper接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface LeaseApplyInfoMapper {
    /**
     * 查询领料任务
     * 
     * @param id 领料任务主键
     * @return 领料任务
     */
    LeaseApplyInfo selectLeaseApplyInfoById(Long id);

    /**
     * 查询领料任务列表
     * 
     * @param leaseApplyInfo 领料任务
     * @return 领料任务集合
     */
    List<LeaseApplyInfo> selectLeaseApplyInfoList(LeaseApplyInfo leaseApplyInfo);

    /**
     * 新增领料任务
     * 
     * @param leaseApplyInfo 领料任务
     * @return 结果
     */
    int insertLeaseApplyInfo(LeaseApplyInfo leaseApplyInfo);

    /**
     * 修改领料任务
     * 
     * @param leaseApplyInfo 领料任务
     * @return 结果
     */
    int updateLeaseApplyInfo(LeaseApplyInfo leaseApplyInfo);

    /**
     * 删除领料任务
     * 
     * @param id 领料任务主键
     * @return 结果
     */
    int deleteLeaseApplyInfoById(Long id);

    /**
     * 批量删除领料任务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLeaseApplyInfoByIds(Long[] ids);

    String getTaskId(Long parentId);
}
